Subject: Home-made foliars

From: [email-masked] (Lynnwood Brown)
Date: Mon, 24 Jun 1996 10:32:27 -0700

I run a small farm operation in New Mexico and am interested in mixing our
own foliar fertilizers. We're planning on making some manure tea. Can any
one direct us to resources that would help us get a bit more
sophisticated?
E-mail notes to [email-masked]. Thanks!

-- 
"If there were no music, I would not get by..." Shawn Colvin